Submitted By:            Randy McMurchy <randy_at_linuxfromscratch_dot_org>
Date:                    2007-04-20
Initial Package Version: 2.12
Upstream Status:         From upstream (with an addition)
Origin:                  Upstream with config.h header issue fixed by Randy
Description:             Fixes linking the contrib/diffimg program with external libgd


diff -Naur graphviz-2.12-orig/contrib/diffimg/Makefile.am graphviz-2.12/contrib/diffimg/Makefile.am
--- graphviz-2.12-orig/contrib/diffimg/Makefile.am	2006-06-27 12:29:56.000000000 +0000
+++ graphviz-2.12/contrib/diffimg/Makefile.am	2007-04-20 02:20:01.000000000 +0000
@@ -1,9 +1,9 @@
-# $Id: Makefile.am,v 1.6 2006/06/27 12:29:56 ellson Exp $ $Revision: 1.6 $
+# $Id: Makefile.am,v 1.7 2007/03/08 16:40:59 erg Exp $ $Revision: 1.7 $
 ## Process this file with automake to produce Makefile.in
 
 VERSION=0.2
 
-AM_CPPFLAGS = @GD_INCLUDES@
+AM_CPPFLAGS = @GD_INCLUDES@ -I$(top_builddir)
 
 if WITH_LIBGD
 noinst_PROGRAMS = diffimg
@@ -11,11 +11,11 @@
 
 diffimg_SOURCES = diffimg.c
 
-if WITH_LIBGD
+if WITH_MYLIBGD
 diffimg_LDADD = $(top_builddir)/lib/gd/libgvgd_C.la \
 	@FC_LIBS@ @FT_LIBS@ @JPEG_LIBS@ @PNG_LIBS@ @Z_LIBS@ @MATH_LIBS@
 else
-diffimg_LDADD = @GD_LIBS@
+diffimg_LDADD = @GD_LIBS@ @MATH_LIBS@
 endif
 
 GRAPH = "digraph G { hello -> world }"


diff -Naur graphviz-2.12-orig/contrib/diffimg/Makefile.in graphviz-2.12/contrib/diffimg/Makefile.in
--- graphviz-2.12-orig/contrib/diffimg/Makefile.in	2006-12-04 22:03:15.000000000 +0000
+++ graphviz-2.12/contrib/diffimg/Makefile.in	2007-04-20 02:21:20.000000000 +0000
@@ -1,8 +1,8 @@
-# Makefile.in generated by automake 1.9.6 from Makefile.am.
+# Makefile.in generated by automake 1.10 from Makefile.am.
 # @configure_input@
 
 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
-# 2003, 2004, 2005  Free Software Foundation, Inc.
+# 2003, 2004, 2005, 2006  Free Software Foundation, Inc.
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
 # with or without modifications, as long as this notice is preserved.
@@ -14,17 +14,13 @@
 
 @SET_MAKE@
 
-# $Id: Makefile.am,v 1.6 2006/06/27 12:29:56 ellson Exp $ $Revision: 1.6 $
+# $Id: Makefile.am,v 1.7 2007/03/08 16:40:59 erg Exp $ $Revision: 1.7 $
 
-srcdir = @srcdir@
-top_srcdir = @top_srcdir@
 VPATH = @srcdir@
 pkgdatadir = $(datadir)/@PACKAGE@
 pkglibdir = $(libdir)/@PACKAGE@
 pkgincludedir = $(includedir)/@PACKAGE@
-top_builddir = ../..
 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
-INSTALL = @INSTALL@
 install_sh_DATA = $(install_sh) -c -m 644
 install_sh_PROGRAM = $(install_sh) -c
 install_sh_SCRIPT = $(install_sh) -c
@@ -54,19 +50,20 @@
 PROGRAMS = $(noinst_PROGRAMS)
 am_diffimg_OBJECTS = diffimg.$(OBJEXT)
 diffimg_OBJECTS = $(am_diffimg_OBJECTS)
-@WITH_LIBGD_TRUE@diffimg_DEPENDENCIES =  \
-@WITH_LIBGD_TRUE@	$(top_builddir)/lib/gd/libgvgd_C.la
-DEFAULT_INCLUDES = -I. -I$(srcdir) -I$(top_builddir)
+@WITH_MYLIBGD_TRUE@diffimg_DEPENDENCIES =  \
+@WITH_MYLIBGD_TRUE@	$(top_builddir)/lib/gd/libgvgd_C.la
+DEFAULT_INCLUDES = -I. -I$(top_builddir)@am__isrc@
 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
 am__depfiles_maybe = depfiles
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
-LTCOMPILE = $(LIBTOOL) --tag=CC --mode=compile $(CC) $(DEFS) \
-	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
-	$(AM_CFLAGS) $(CFLAGS)
+LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+	--mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
+	$(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
 CCLD = $(CC)
-LINK = $(LIBTOOL) --tag=CC --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
-	$(AM_LDFLAGS) $(LDFLAGS) -o $@
+LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
+	--mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
+	$(LDFLAGS) -o $@
 SOURCES = $(diffimg_SOURCES)
 DIST_SOURCES = $(diffimg_SOURCES)
 ETAGS = etags
@@ -74,8 +71,6 @@
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
 ACLOCAL = @ACLOCAL@
 ALLOCA = @ALLOCA@
-AMDEP_FALSE = @AMDEP_FALSE@
-AMDEP_TRUE = @AMDEP_TRUE@
 AMTAR = @AMTAR@
 AR = @AR@
 AUTOCONF = @AUTOCONF@
@@ -104,12 +99,6 @@
 ECHO_N = @ECHO_N@
 ECHO_T = @ECHO_T@
 EGREP = @EGREP@
-ENABLE_LTDL_FALSE = @ENABLE_LTDL_FALSE@
-ENABLE_LTDL_TRUE = @ENABLE_LTDL_TRUE@
-ENABLE_SHARED_FALSE = @ENABLE_SHARED_FALSE@
-ENABLE_SHARED_TRUE = @ENABLE_SHARED_TRUE@
-ENABLE_STATIC_FALSE = @ENABLE_STATIC_FALSE@
-ENABLE_STATIC_TRUE = @ENABLE_STATIC_TRUE@
 EXEEXT = @EXEEXT@
 EXPAT_CONFIG = @EXPAT_CONFIG@
 EXPAT_INCLUDES = @EXPAT_INCLUDES@
@@ -145,6 +134,7 @@
 ICONV_INCLUDES = @ICONV_INCLUDES@
 ICONV_LIBS = @ICONV_LIBS@
 INCLTDL = @INCLTDL@
+INSTALL = @INSTALL@
 INSTALL_DATA = @INSTALL_DATA@
 INSTALL_PROGRAM = @INSTALL_PROGRAM@
 INSTALL_SCRIPT = @INSTALL_SCRIPT@
@@ -185,8 +175,10 @@
 MING_CFLAGS = @MING_CFLAGS@
 MING_CONFIG = @MING_CONFIG@
 MING_LIBS = @MING_LIBS@
+MKDIR_P = @MKDIR_P@
 MKINSTALLDIRS = @MKINSTALLDIRS@
 MSGFMT = @MSGFMT@
+MSGFMT_OPTS = @MSGFMT_OPTS@
 OBJEXT = @OBJEXT@
 OCAML = @OCAML@
 OCAML_INCLUDES = @OCAML_INCLUDES@
@@ -262,55 +254,10 @@
 VERSION = 0.2
 VERSION_INFO = @VERSION_INFO@
 WISH = @WISH@
-WITH_CODEGENS_FALSE = @WITH_CODEGENS_FALSE@
-WITH_CODEGENS_TRUE = @WITH_CODEGENS_TRUE@
-WITH_GNOMEUI_FALSE = @WITH_GNOMEUI_FALSE@
-WITH_GNOMEUI_TRUE = @WITH_GNOMEUI_TRUE@
-WITH_GTK_FALSE = @WITH_GTK_FALSE@
-WITH_GTK_TRUE = @WITH_GTK_TRUE@
-WITH_GUILE_FALSE = @WITH_GUILE_FALSE@
-WITH_GUILE_TRUE = @WITH_GUILE_TRUE@
-WITH_IO_FALSE = @WITH_IO_FALSE@
-WITH_IO_TRUE = @WITH_IO_TRUE@
-WITH_IPSEPCOLA_FALSE = @WITH_IPSEPCOLA_FALSE@
-WITH_IPSEPCOLA_TRUE = @WITH_IPSEPCOLA_TRUE@
-WITH_JAVA_FALSE = @WITH_JAVA_FALSE@
-WITH_JAVA_TRUE = @WITH_JAVA_TRUE@
-WITH_LIBGD_FALSE = @WITH_LIBGD_FALSE@
-WITH_LIBGD_TRUE = @WITH_LIBGD_TRUE@
-WITH_LUA_FALSE = @WITH_LUA_FALSE@
-WITH_LUA_TRUE = @WITH_LUA_TRUE@
-WITH_MING_FALSE = @WITH_MING_FALSE@
-WITH_MING_TRUE = @WITH_MING_TRUE@
-WITH_MYLIBGD_FALSE = @WITH_MYLIBGD_FALSE@
-WITH_MYLIBGD_TRUE = @WITH_MYLIBGD_TRUE@
-WITH_OCAML_FALSE = @WITH_OCAML_FALSE@
-WITH_OCAML_TRUE = @WITH_OCAML_TRUE@
-WITH_PANGOCAIRO_FALSE = @WITH_PANGOCAIRO_FALSE@
-WITH_PANGOCAIRO_TRUE = @WITH_PANGOCAIRO_TRUE@
-WITH_PERL_FALSE = @WITH_PERL_FALSE@
-WITH_PERL_TRUE = @WITH_PERL_TRUE@
-WITH_PHP_FALSE = @WITH_PHP_FALSE@
-WITH_PHP_TRUE = @WITH_PHP_TRUE@
-WITH_PYTHON_FALSE = @WITH_PYTHON_FALSE@
-WITH_PYTHON_TRUE = @WITH_PYTHON_TRUE@
-WITH_RUBY_FALSE = @WITH_RUBY_FALSE@
-WITH_RUBY_TRUE = @WITH_RUBY_TRUE@
-WITH_SHARP_FALSE = @WITH_SHARP_FALSE@
-WITH_SHARP_TRUE = @WITH_SHARP_TRUE@
-WITH_SWIG_FALSE = @WITH_SWIG_FALSE@
-WITH_SWIG_TRUE = @WITH_SWIG_TRUE@
-WITH_TCL_FALSE = @WITH_TCL_FALSE@
-WITH_TCL_TRUE = @WITH_TCL_TRUE@
-WITH_TK_FALSE = @WITH_TK_FALSE@
-WITH_TK_TRUE = @WITH_TK_TRUE@
-WITH_XAW_FALSE = @WITH_XAW_FALSE@
-WITH_XAW_TRUE = @WITH_XAW_TRUE@
-WITH_X_FALSE = @WITH_X_FALSE@
-WITH_X_TRUE = @WITH_X_TRUE@
 XAW_INCLUDES = @XAW_INCLUDES@
 XAW_LIBS = @XAW_LIBS@
 XGETTEXT = @XGETTEXT@
+XMKMF = @XMKMF@
 XPM_INCLUDES = @XPM_INCLUDES@
 XPM_LIBS = @XPM_LIBS@
 X_CFLAGS = @X_CFLAGS@
@@ -318,19 +265,16 @@
 X_LIBS = @X_LIBS@
 X_PRE_LIBS = @X_PRE_LIBS@
 YACC = @YACC@
+YFLAGS = @YFLAGS@
 Z_INCLUDES = @Z_INCLUDES@
 Z_LIBS = @Z_LIBS@
-ac_ct_AR = @ac_ct_AR@
+abs_builddir = @abs_builddir@
+abs_srcdir = @abs_srcdir@
+abs_top_builddir = @abs_top_builddir@
+abs_top_srcdir = @abs_top_srcdir@
 ac_ct_CC = @ac_ct_CC@
 ac_ct_CXX = @ac_ct_CXX@
 ac_ct_F77 = @ac_ct_F77@
-ac_ct_RANLIB = @ac_ct_RANLIB@
-ac_ct_STRIP = @ac_ct_STRIP@
-ac_pt_PKG_CONFIG = @ac_pt_PKG_CONFIG@
-am__fastdepCC_FALSE = @am__fastdepCC_FALSE@
-am__fastdepCC_TRUE = @am__fastdepCC_TRUE@
-am__fastdepCXX_FALSE = @am__fastdepCXX_FALSE@
-am__fastdepCXX_TRUE = @am__fastdepCXX_TRUE@
 am__include = @am__include@
 am__leading_dot = @am__leading_dot@
 am__quote = @am__quote@
@@ -342,34 +286,45 @@
 build_cpu = @build_cpu@
 build_os = @build_os@
 build_vendor = @build_vendor@
+builddir = @builddir@
 datadir = @datadir@
+datarootdir = @datarootdir@
+docdir = @docdir@
+dvidir = @dvidir@
 exec_prefix = @exec_prefix@
 host = @host@
 host_alias = @host_alias@
 host_cpu = @host_cpu@
 host_os = @host_os@
 host_vendor = @host_vendor@
+htmldir = @htmldir@
 includedir = @includedir@
 infodir = @infodir@
 install_sh = @install_sh@
 libdir = @libdir@
 libexecdir = @libexecdir@
+localedir = @localedir@
 localstatedir = @localstatedir@
 mandir = @mandir@
 mkdir_p = @mkdir_p@
 oldincludedir = @oldincludedir@
+pdfdir = @pdfdir@
 prefix = @prefix@
 program_transform_name = @program_transform_name@
+psdir = @psdir@
 sbindir = @sbindir@
 sharedstatedir = @sharedstatedir@
+srcdir = @srcdir@
 subdirs = @subdirs@
 sysconfdir = @sysconfdir@
 target_alias = @target_alias@
-AM_CPPFLAGS = @GD_INCLUDES@
+top_builddir = @top_builddir@
+top_srcdir = @top_srcdir@
+AM_CPPFLAGS = @GD_INCLUDES@ -I$(top_builddir)
 diffimg_SOURCES = diffimg.c
-@WITH_LIBGD_FALSE@diffimg_LDADD = @GD_LIBS@
-@WITH_LIBGD_TRUE@diffimg_LDADD = $(top_builddir)/lib/gd/libgvgd_C.la \
-@WITH_LIBGD_TRUE@	@FC_LIBS@ @FT_LIBS@ @JPEG_LIBS@ @PNG_LIBS@ @Z_LIBS@ @MATH_LIBS@
+@WITH_MYLIBGD_FALSE@diffimg_LDADD = @GD_LIBS@ @MATH_LIBS@
+@WITH_MYLIBGD_TRUE@diffimg_LDADD = $(top_builddir)/lib/gd/libgvgd_C.la \
+@WITH_MYLIBGD_TRUE@	@FC_LIBS@ @FT_LIBS@ @JPEG_LIBS@ @PNG_LIBS@ @Z_LIBS@ @MATH_LIBS@
 
 GRAPH = "digraph G { hello -> world }"
 CLEANFILES = *.png
@@ -415,7 +370,7 @@
 	done
 diffimg$(EXEEXT): $(diffimg_OBJECTS) $(diffimg_DEPENDENCIES) 
 	@rm -f diffimg$(EXEEXT)
-	$(LINK) $(diffimg_LDFLAGS) $(diffimg_OBJECTS) $(diffimg_LDADD) $(LIBS)
+	$(LINK) $(diffimg_OBJECTS) $(diffimg_LDADD) $(LIBS)
 
 mostlyclean-compile:
 	-rm -f *.$(OBJEXT)
@@ -426,22 +381,22 @@
 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/diffimg.Po@am__quote@
 
 .c.o:
-@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(COMPILE) -c $<
 
 .c.obj:
-@am__fastdepCC_TRUE@	if $(COMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ `$(CYGPATH_W) '$<'`; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Po"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@am__fastdepCC_TRUE@	$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(COMPILE) -c `$(CYGPATH_W) '$<'`
 
 .c.lo:
-@am__fastdepCC_TRUE@	if $(LTCOMPILE) -MT $@ -MD -MP -MF "$(DEPDIR)/$*.Tpo" -c -o $@ $<; \
-@am__fastdepCC_TRUE@	then mv -f "$(DEPDIR)/$*.Tpo" "$(DEPDIR)/$*.Plo"; else rm -f "$(DEPDIR)/$*.Tpo"; exit 1; fi
+@am__fastdepCC_TRUE@	$(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
+@am__fastdepCC_TRUE@	mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
 @AMDEP_TRUE@@am__fastdepCC_FALSE@	DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
 @am__fastdepCC_FALSE@	$(LTCOMPILE) -c -o $@ $<
@@ -452,10 +407,6 @@
 clean-libtool:
 	-rm -rf .libs _libs
 
-distclean-libtool:
-	-rm -f libtool
-uninstall-info-am:
-
 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
 	unique=`for i in $$list; do \
@@ -505,22 +456,21 @@
 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
 
 distdir: $(DISTFILES)
-	@srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`; \
-	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's|.|.|g'`; \
-	list='$(DISTFILES)'; for file in $$list; do \
-	  case $$file in \
-	    $(srcdir)/*) file=`echo "$$file" | sed "s|^$$srcdirstrip/||"`;; \
-	    $(top_srcdir)/*) file=`echo "$$file" | sed "s|^$$topsrcdirstrip/|$(top_builddir)/|"`;; \
-	  esac; \
+	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
+	list='$(DISTFILES)'; \
+	  dist_files=`for file in $$list; do echo $$file; done | \
+	  sed -e "s|^$$srcdirstrip/||;t" \
+	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
+	case $$dist_files in \
+	  */*) $(MKDIR_P) `echo "$$dist_files" | \
+			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
+			   sort -u` ;; \
+	esac; \
+	for file in $$dist_files; do \
 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
-	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
-	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
-	    dir="/$$dir"; \
-	    $(mkdir_p) "$(distdir)$$dir"; \
-	  else \
-	    dir=''; \
-	  fi; \
 	  if test -d $$d/$$file; then \
+	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
 	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
 	    fi; \
@@ -569,7 +519,7 @@
 	-rm -rf ./$(DEPDIR)
 	-rm -f Makefile
 distclean-am: clean-am distclean-compile distclean-generic \
-	distclean-libtool distclean-tags
+	distclean-tags
 
 dvi: dvi-am
 
@@ -583,12 +533,20 @@
 
 install-data-am:
 
+install-dvi: install-dvi-am
+
 install-exec-am:
 
+install-html: install-html-am
+
 install-info: install-info-am
 
 install-man:
 
+install-pdf: install-pdf-am
+
+install-ps: install-ps-am
+
 installcheck-am:
 
 maintainer-clean: maintainer-clean-am
@@ -609,19 +567,22 @@
 
 ps-am:
 
-uninstall-am: uninstall-info-am
+uninstall-am:
+
+.MAKE: install-am install-strip
 
 .PHONY: CTAGS GTAGS all all-am check check-am clean clean-generic \
 	clean-libtool clean-noinstPROGRAMS ctags distclean \
 	distclean-compile distclean-generic distclean-libtool \
 	distclean-tags distdir dvi dvi-am html html-am info info-am \
-	install install-am install-data install-data-am install-exec \
-	install-exec-am install-info install-info-am install-man \
+	install install-am install-data install-data-am install-dvi \
+	install-dvi-am install-exec install-exec-am install-html \
+	install-html-am install-info install-info-am install-man \
+	install-pdf install-pdf-am install-ps install-ps-am \
 	install-strip installcheck installcheck-am installdirs \
 	maintainer-clean maintainer-clean-generic mostlyclean \
 	mostlyclean-compile mostlyclean-generic mostlyclean-libtool \
-	pdf pdf-am ps ps-am tags uninstall uninstall-am \
-	uninstall-info-am
+	pdf pdf-am ps ps-am tags uninstall uninstall-am
 
 
 test: diffimg

